.episodes-ul {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 7px;
	padding: 6px;
	  max-height: 200px;
  overflow: auto;
}

.episodes-ul .item {
	font-size: 14px;
	padding: 7px 15px;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	line-height: normal;
	color: #000;
	background: #eef0f2;
	border-radius: 4px;
	width: 50px;
	height: 40px;
	text-align: center;
	box-sizing: border-box;
	transition: background 0.2s, color 0.3s;
}

.darkmode .episodes-ul .item {
	color: #aaa;
	background: #00000066;
}

.episodes-ul .item:hover {
	background: ghostwhite;
	color: #2f2f2f;
}

.darkmode .episodes-ul .item:hover {
	background: #000000B3;
	color: #fff;
}

.episodes-ul .item.active {
	background: #5a2e98;
	color: #fff;
}

.episodes-ul .item.watched {
	background: #3e3150c4;
	color: #888;
}

.episodes-ul .item.watched:hover {
	background: #363636;
	color: #fff;
}

.episodes-ul .item.ep-item.active.watched {
	background-color: var(--main_c);
	color: white !important;
}

.ranges {
	overflow: hidden;
	list-style: none;
	padding: 0;
	margin: 0;
}

.ranges {
	overflow: hidden;
	list-style: none;
	padding: 0;
	margin: 0;
}

.ranges li {
	float: left;
	line-height: 32px;
	padding: 0 6px;
	font-size: 13px;
	margin-right: 10px;
	color: #666;
	cursor: pointer;
	position: relative;
}

.ranges li::before {
	content: '•';
	position: absolute;
	left: -10px;
	color: #666;
}

.ranges li:first-child::before {
	content: '';
}

.ranges li:hover {
	color: #ccc;
}

.ranges li.active {
	color: #ccc;
}

.player-servers {
	background: #FFF;
	padding-left: 280px;
	position: relative;
	margin-bottom: 15px;
	color: #000;
	display: flex;
	flex-direction: column;
}

.darkmode .player-servers {
	background: #2b2b2b;
	color: #ccc;
}

.player-servers #servers-content {
	display: flex;
	align-items: center;
	flex: 1;
	min-height: 80px;
}

.player-servers .ps_-status {
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	width: 250px;
	background: #fff;
	color: #000;
	padding: 10px 20px;
	display: flex;
	align-items: center;
}

.darkmode .player-servers .ps_-status {
	background: #424242;
	color: #ccc;
}

.player-servers .ps_-status .server-notice {
	font-size: 12px;
	font-weight: 500;
	color: #000;
}

.darkmode .player-servers .ps_-status .server-notice {
	color: #ccc;
}

.player-servers .ps_-status .server-notice strong {
	font-weight: 300;
	color: #000;
}

.player-servers .ps_-status .server-notice b {
	font-weight: 700;
	color: var(--link_h_c);
}

.darkmode .player-servers .ps_-status .server-notice b {
	color: #fff;
}

.darkmode .player-servers .ps_-status .server-notice strong {
	font-weight: 300;
	color: #fff;
}

.player-servers .ps_-status .server-notice b {
	font-weight: 700;
	white-space: nowrap;
}

.player-servers .ps_-block {
	padding: 12px 15px;
	padding-left: 110px;
	border-bottom: 1px dashed #424242;
	display: flex;
	align-items: center;
	flex-wrap: wrap;
}

.player-servers .ps_-block:last-of-type {
	border: none;
}

.player-servers .ps__-title {
	font-size: 13px;
	font-weight: 600;
	color: #000;
	margin-right: 10px;
	display: flex;
	align-items: center;
}

.darkmode .player-servers .ps__-title {
	color: #ccc;
}

.player-servers .ps__-title i {
	color: var(--main_c);
	margin-right: 5px;
}

#buttonContainer {
	display: flex;
	gap: 10px;
	padding-left: 10px;
	max-width: 480px;
}

#buttonContainer button {
	font-size: 13px;
	font-weight: 500;
	background: #eef0f2;
	color: #000;
	border: none;
	cursor: pointer;
	border-radius: 5px;
	transition: background 0.3s, color 0.3s;
	display: inline-block;
	align-items: center;
	justify-content: center;
	padding: 0 10px;
	line-height: 30px;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.darkmode #buttonContainer button {
	background: #343434;
	color: #ccc;
}

#buttonContainer button:hover {
	color: #000;
	background: ghostwhite;
}

.darkmode #buttonContainer button:hover {
	color: #fff;
	background: #444;
}

#buttonContainer button.selected {
	background: var(--main_c);
	color: #fff;
}

@media (max-width: 768px) {
	.player-servers {
		padding-left: 0;
	}

	.player-servers #servers-content {
		flex-direction: column;
		align-items: flex-start;
		padding-top: 0px;
		padding-bottom: 20px;
	}

	.player-servers .ps_-status {
		position: relative;
		width: 100%;
		margin-bottom: 20px;
		padding: 10px;
		text-align: left;
	}

	.player-servers #servers-content .server-buttons {
		width: 100%;
		display: flex;
		justify-content: space-around;
	}

	.player-servers .ps_-block {
		padding-left: 0;
		flex-direction: column;
		align-items: flex-start;
	}

	.player-servers .ps__-title {
		margin-left: 15px;
		margin-bottom: 0;
	}

	#buttonContainer {
		justify-content: flex-start;
		gap: 10px;
		padding-left: 10px;
		width: 100%;
		flex-wrap: wrap;
	}

	#buttonContainer button {
		font-size: 13px;
		box-shadow: none !important;
		padding: 0 10px;
		line-height: 30px;
		width: auto;
		flex: 1;
	}
}

.fullepisode {
	text-align: center;
	background: #8224e3;
	font-size: 13px;
	color: #fff !important;
	border-radius: 5px;
	padding: 5px;
	margin-bottom: 6px;
}

.button-link {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
	color: inherit;
	text-decoration: none;
}

.fullepisode:hover {
	background: #333;
	color: #fff !important;
}

#singlepisode-2 {
	background: #fff;
	border: 1px solid rgba(255,255,255,0.1);
	overflow: hidden;
	margin-bottom: 15px;
	box-shadow: 1px 3px 8px rgba(49, 49, 49, 0.1);
}

.darkmode #singlepisode-2 {
	background: #333;
}